Bug 1179665 (true/punycode) - Review Request: php-true-punycode - A Bootstring encoding of Unicode for IDNA
Summary: Review Request: php-true-punycode - A Bootstring encoding of Unicode for IDNA
Status: CLOSED ERRATA
Alias: true/punycode
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Horde_Idna
TreeView+ depends on / blocked
 
Reported: 2015-01-07 09:54 UTC by Remi Collet
Modified: 2015-01-26 20:10 UTC (History)
2 users (show)

Fixed In Version: php-true-punycode-1.0.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-17 05:38:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (6.09 KB, text/plain)
2015-01-07 12:53 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.55 KB, text/plain)
2015-01-07 12:54 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-01-07 09:54:09 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/9b1c2f428abc19097ed9a7d877879a4d10bb0bdc/php/php-true-punycode/php-true-punycode.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-true-punycode-1.0.1-1.remi.src.rpm
Description: 
A Bootstring encoding of Unicode for Internationalized Domain Names
in Applications (IDNA).

Fedora Account System Username: remi


Notice new dependency of Horde
As usually, I will clean the old EL-5 stuff after import if fedora.

Comment 1 Shawn Iwinski 2015-01-07 12:53:39 UTC
Created attachment 977272 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 2 Shawn Iwinski 2015-01-07 12:54:48 UTC
Created attachment 977273 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1179665
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Shawn Iwinski 2015-01-07 12:56:25 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.



===== APPROVED =====

Comment 4 Remi Collet 2015-01-07 12:59:59 UTC
Thanks!

New Package SCM Request
=======================
Package Name: php-true-punycode
Short Description: A Bootstring encoding of Unicode for IDNA
Upstream URL: https://github.com/true/php-punycode
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-07 13:04:22 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-01-07 13:40:05 UTC
php-true-punycode-1.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-true-punycode-1.0.1-1.fc21

Comment 7 Fedora Update System 2015-01-07 13:40:11 UTC
php-true-punycode-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-true-punycode-1.0.1-1.fc20

Comment 8 Fedora Update System 2015-01-07 13:40:18 UTC
php-true-punycode-1.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-true-punycode-1.0.1-1.el7

Comment 9 Fedora Update System 2015-01-07 13:41:27 UTC
php-true-punycode-1.0.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-true-punycode-1.0.1-1.el6

Comment 10 Fedora Update System 2015-01-07 19:31:01 UTC
php-true-punycode-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 11 Fedora Update System 2015-01-17 05:38:33 UTC
php-true-punycode-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-01-17 05:51:21 UTC
php-true-punycode-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-01-26 20:10:16 UTC
php-true-punycode-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2015-01-26 20:10:50 UTC
php-true-punycode-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.